%{?nodejs_find_provides_and_requires}

%global packagename find-up

Name:		nodejs-find-up
Version:	2.1.0
Release:	3%{?dist}
Summary:	Find a file by walking up parent directories

License:	MIT
URL:		https://github.com/sindresorhus/find-up
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	fixture-%{version}.tar.bz2
Source10:	dl-tests.sh

# grab the test.js file as well
Source2:	https://raw.githubusercontent.com/sindresorhus/find-up/v%{version}/test.js




ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(locate-path)

Requires:	nodejs

%description
Find a file by walking up parent directories


%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license license
%{nodejs_sitelib}/%{packagename}



%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Sep 20 2017 Jared Smith <jsmith@fedoraproject.org> - 2.1.0-1
- Update to upstream 2.1.0 release

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Apr 29 2017 Jared Smith <jsmith@fedoraproject.org> - 1.1.2-3
- Relax dependency on npm(path-exists)

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Jul 13 2016 Jared Smith <jsmith@fedoraproject.org> - 1.1.2-1
- Update to upstream 1.1.2 release

* Fri Feb 12 2016 Jared Smith <jsmith@fedoraproject.org> - 1.1.0-1
- Update to upstream 1.1.0 release

* Sun Oct 25 2015 Jared Smith <jsmith@fedoraproject.org> - 1.0.0-1
- Initial packaging
